# Picoシリーズと4x4キーパッドを使ったUSB接続キーパッド

Raspberry Pi Picoシリーズで動くUSB接続キーパッドのサンプルです。

## Requirements

* Pico 2またはPico 1
* Arduino向けのキーパッド（たとえば[このような製品](https://www.amazon.co.jp/dp/B094JFQGZ8)）
* SD1306採用I2C接続の128×32ドットOLEDモジュール（たとえば[このような製品](https://www.amazon.co.jp/dp/B088FLH7DG)）
* 小信号用シリコンダイオード1N4148
* 10kΩ集合抵抗（または10kΩ×4）
* ブレッドボード
* ジャンパ類（適量）

## Schematic

![1737604200008](image/README/1737604200008.png)
