#ifndef _KEYPAD_H

#define _KEYPAD_H   1

#define COLUMN_BASE 10
#define ROW_BASE    6

typedef struct _key_state_t {
    uint16_t    code;
    int16_t     state;
} key_t;

#define KEYPAD_BUFFER_SIZE   0x10

#define KEYPAD_PUSH     1
#define KEYPAD_RELEASE  0
#define KEYPAD_INVALID  -1

void keypad_init(void);
key_t get_key(void);

#endif
